<html>
<head>
<title>Ogre::RTShader::ProgramProcessor::MergeParameter Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">ProgramProcessor</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html">MergeParameter</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RTShader::ProgramProcessor::MergeParameter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RTShader::ProgramProcessor::MergeParameter" -->
<p><code>#include &lt;<a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>&gt;</code></p>

<p><a href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a291c2b1db95fe987cdb4db2dd065e798">MergeParameter</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="#a291c2b1db95fe987cdb4db2dd065e798"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab4838c26fbf3c04039883d8a1cd947e5">clear</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the state of this merge parameter.  <a href="#ab4838c26fbf3c04039883d8a1cd947e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a0de9735cb11ef86fcc3b4e11c6194fc3">addSourceParameter</a> (<a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> srcParam, int mask)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add source parameter to this merged.  <a href="#a0de9735cb11ef86fcc3b4e11c6194fc3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a50184aa6145aacb52c3bb0646bf99616">getSourceParameterCount</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the source parameter count.  <a href="#a50184aa6145aacb52c3bb0646bf99616"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#adff8f04ad3d1d7e9b0df387d51acca02">getSourceParameter</a> (unsigned int index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return source parameter by index.  <a href="#adff8f04ad3d1d7e9b0df387d51acca02"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ae57b334bf47ef57b7cf4efc1ae6a7fc1">getSourceParameterMask</a> (unsigned int index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return source parameter mask by index.  <a href="#ae57b334bf47ef57b7cf4efc1ae6a7fc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab0f42e37e7832ec1c7a8cf9fb144d2ed">getDestinationParameterMask</a> (unsigned int index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return destination parameter mask by index.  <a href="#ab0f42e37e7832ec1c7a8cf9fb144d2ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a9fada2ad581958e43d5188e8396ad1fa">getUsedFloatCount</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of used floats.  <a href="#a9fada2ad581958e43d5188e8396ad1fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a39e7b9d32759bb32615e8464daf0e2a0">getDestinationParameter</a> (int usage, int index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the destination parameter.  <a href="#a39e7b9d32759bb32615e8464daf0e2a0"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#af27d4de088c9eae62923c663c0d3432b">createDestinationParameter</a> (int usage, int index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates the destination parameter by a given class and index.  <a href="#af27d4de088c9eae62923c663c0d3432b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ac90ba3de55672229fe80e9724e6de4b0">mDstParameter</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a80410761869471108fb0e4b73b4f106b">mSrcParameter</a> [4]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ac46769ec8723babd331b00b0d032b903">mSrcParameterMask</a> [4]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a105644410a8a59b0146ccffdf531adfd">mDstParameterMask</a> [4]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#afe2a4539206198072d74a3f43d62ef56">mSrcParameterCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab162cd2e87c41aa7f73f1a2cea3e3039">mUsedFloatCount</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00084">84</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a291c2b1db95fe987cdb4db2dd065e798"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::MergeParameter" ref="a291c2b1db95fe987cdb4db2dd065e798" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a291c2b1db95fe987cdb4db2dd065e798">Ogre::RTShader::ProgramProcessor::MergeParameter::MergeParameter</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Class constructor. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0de9735cb11ef86fcc3b4e11c6194fc3"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::addSourceParameter" ref="a0de9735cb11ef86fcc3b4e11c6194fc3" args="(ParameterPtr srcParam, int mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a0de9735cb11ef86fcc3b4e11c6194fc3">Ogre::RTShader::ProgramProcessor::MergeParameter::addSourceParameter</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td>
          <td class="paramname"><em>srcParam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add source parameter to this merged. </p>

</div>
</div>
<a class="anchor" id="ab4838c26fbf3c04039883d8a1cd947e5"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::clear" ref="ab4838c26fbf3c04039883d8a1cd947e5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab4838c26fbf3c04039883d8a1cd947e5">Ogre::RTShader::ProgramProcessor::MergeParameter::clear</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear the state of this merge parameter. </p>

</div>
</div>
<a class="anchor" id="af27d4de088c9eae62923c663c0d3432b"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::createDestinationParameter" ref="af27d4de088c9eae62923c663c0d3432b" args="(int usage, int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#af27d4de088c9eae62923c663c0d3432b">Ogre::RTShader::ProgramProcessor::MergeParameter::createDestinationParameter</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>usage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates the destination parameter by a given class and index. </p>

</div>
</div>
<a class="anchor" id="a39e7b9d32759bb32615e8464daf0e2a0"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::getDestinationParameter" ref="a39e7b9d32759bb32615e8464daf0e2a0" args="(int usage, int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a39e7b9d32759bb32615e8464daf0e2a0">Ogre::RTShader::ProgramProcessor::MergeParameter::getDestinationParameter</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>usage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the destination parameter. </p>

</div>
</div>
<a class="anchor" id="ab0f42e37e7832ec1c7a8cf9fb144d2ed"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::getDestinationParameterMask" ref="ab0f42e37e7832ec1c7a8cf9fb144d2ed" args="(unsigned int index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab0f42e37e7832ec1c7a8cf9fb144d2ed">Ogre::RTShader::ProgramProcessor::MergeParameter::getDestinationParameterMask</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return destination parameter mask by index. </p>

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00108">108</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="adff8f04ad3d1d7e9b0df387d51acca02"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameter" ref="adff8f04ad3d1d7e9b0df387d51acca02" args="(unsigned int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#adff8f04ad3d1d7e9b0df387d51acca02">Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameter</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return source parameter by index. </p>

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00102">102</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a50184aa6145aacb52c3bb0646bf99616"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameterCount" ref="a50184aa6145aacb52c3bb0646bf99616" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a50184aa6145aacb52c3bb0646bf99616">Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameterCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the source parameter count. </p>

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00099">99</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae57b334bf47ef57b7cf4efc1ae6a7fc1"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameterMask" ref="ae57b334bf47ef57b7cf4efc1ae6a7fc1" args="(unsigned int index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ae57b334bf47ef57b7cf4efc1ae6a7fc1">Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameterMask</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return source parameter mask by index. </p>

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00105">105</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9fada2ad581958e43d5188e8396ad1fa"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::getUsedFloatCount" ref="a9fada2ad581958e43d5188e8396ad1fa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a9fada2ad581958e43d5188e8396ad1fa">Ogre::RTShader::ProgramProcessor::MergeParameter::getUsedFloatCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the number of used floats. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ac90ba3de55672229fe80e9724e6de4b0"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::mDstParameter" ref="ac90ba3de55672229fe80e9724e6de4b0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ac90ba3de55672229fe80e9724e6de4b0">Ogre::RTShader::ProgramProcessor::MergeParameter::mDstParameter</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00123">123</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a105644410a8a59b0146ccffdf531adfd"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::mDstParameterMask" ref="a105644410a8a59b0146ccffdf531adfd" args="[4]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a105644410a8a59b0146ccffdf531adfd">Ogre::RTShader::ProgramProcessor::MergeParameter::mDstParameterMask</a>[4]<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00126">126</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="a80410761869471108fb0e4b73b4f106b"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameter" ref="a80410761869471108fb0e4b73b4f106b" args="[4]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#a80410761869471108fb0e4b73b4f106b">Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameter</a>[4]<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00124">124</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="afe2a4539206198072d74a3f43d62ef56"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameterCount" ref="afe2a4539206198072d74a3f43d62ef56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#afe2a4539206198072d74a3f43d62ef56">Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameterCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00127">127</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac46769ec8723babd331b00b0d032b903"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameterMask" ref="ac46769ec8723babd331b00b0d032b903" args="[4]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ac46769ec8723babd331b00b0d032b903">Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameterMask</a>[4]<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00125">125</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab162cd2e87c41aa7f73f1a2cea3e3039"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeParameter::mUsedFloatCount" ref="ab162cd2e87c41aa7f73f1a2cea3e3039" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeParameter.html#ab162cd2e87c41aa7f73f1a2cea3e3039">Ogre::RTShader::ProgramProcessor::MergeParameter::mUsedFloatCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00128">128</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:33
</p>
</body>
</html>
